.chat-messages {
		overflow-y: scroll;
		overflow-x: hidden;
        margin-bottom: 10px;
		max-width: 100%;
		height: 60vh; 		
}

.chat-message-user{
		display: flex;
		align-items: top;
		background-color: #f8f9fa;
        padding: 4px 6px;
        font-size: 16px;
        color: #000000;
        margin-bottom: 5px;
        clear: both;
}
.chat-message-bot{
		display: flex;
		align-items: top;
		background-color: #f5f9f1;
        padding: 4px 6px;
        font-size: 16px;
        color: #000000;
        margin-bottom: 5px;
        clear: both;
}
.chat-img1 img {
  height: 30px;
  width: 30px;
}	

pre {
  white-space: pre-wrap;
}

.nlp-site-banner {
  background-image: url("static/page_pics/nlp/nlp_banner.jpg");
  background-size: cover;
  background-position: center;
  padding-top: 15px;
  padding-bottom: 0px;
  height: 100px; /* set the height of the section */
  width: 100%; /* set the width of the section */
}
.nlp-content-section {
  background: #ffffff;
  padding: 3px 3px;
  padding-left: 3px;
  padding-right: 3px;
  border: 1px solid #dddddd;
  border-radius: 1px;
  margin-bottom: 20px;
}

.chat-input-group {
	border: 1px solid #98a7b5; 
	border-radius: 10px;
}
.input-group:focus-within { 
	border-color: cornflowerblue;
}  

.chat-textarea {
    outline: none;
	outline-color: red;
	outline-style: none;
    border: none;
	min-height: 60px;
	margin-right: 0px;
	margin-left: 10px;
	box-shadow: none;
  } 
.chat-textarea:focus { 
	box-shadow: none;
}  

.chat_message_send_icon {
  color: cornflowerblue;
}
.chat_message_send_icon:hover {
  color: blue;
}
.chat_message_send_icon:active  {
  color: cornflowerblue;
}


.chat-spinner-icon {
  display: none;
}

.carousel-indicators {
   margin-bottom: 0px;

}
.carousel-indicators li {
  background-color: black;
}
.carousel-control-prev {
  background-color: white;
  color: black;
  border-width: 1px;
  width: auto;
  margin-top: 1px;  
  left: 0;
  left: auto;
  margin-left: 20px;  
}
.carousel-control-next {
  background-color: white;
  color: black;
  border-width: 1px;
  width: auto;
  margin-top: 1px;  
  right: 0;
  left: auto;
  margin-right: 20px;  
}
.carousel-control-next-icon,
.carousel-control-prev-icon {
	filter: invert(100%);	
}


.carousel-inner {
  padding: 0px;
  padding-right: 0px;
  margin-right: 0px;  
  margin-left: 0px;
  margin-bottom: 0px;
  overflow-y: auto; 
}

/*
.carousel-item{
  padding: 0px;
  padding-right: 40px;
  padding-left: 0px;
  padding-bottom: 0px;
  margin-right: 0px;  
  margin-left: 0px;
  margin-bottom: 0px;
}
*/
.chat-info-card {
  display: inline-block;
  border: 1px solid #ccc; 
  border-radius: 4px; 
  padding: 10px;
  background-color: #f5f5f5;
  cursor: pointer;
  margin-bottom: 20px;
}
.chat-info-card:hover {
  background-color: #e5e5e5;
}

.chat_info_icon {
  color: cornflowerblue;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5); /* adjust the values to get the desired shadow effect */
}
.chat_info_icon:hover {
  color: blue;
}
.chat_info_icon:active  {
  color: cornflowerblue;
  box-shadow: none; 
}

.chat_clipboard_icon {
  color: cornflowerblue; 
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5); /* adjust the values to get the desired shadow effect */
}
.chat_clipboard_icon:hover {
  color: blue;
}
.chat_clipboard_icon:active  {
  color: cornflowerblue;
  box-shadow: none; 
}

.chat-modal-content {
  max-height: 80vh; /* Set a maximum height for the modal */
  overflow-y: scroll; /* Add scroll functionality */
  background-color: white;
  padding: 20px;
  border-radius: 5px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}

.flash-message.error {
  color: red;
}

.chat-clipboard-icon-tooltip {
visibility: hidden;
position: absolute;
z-index: 1;
background-color: #555;
color: #fff;
text-align: center;
padding: 5px;
border-radius: 6px;
top: 50%;
left: 50%;
transform: translateX(-50%);
opacity: 0;
transition: opacity 0.3s;
}

.chat-clipboard-icon-tooltip.show {
visibility: visible;
opacity: 1;
}

/*####  Chat Menu Setup #####*/ 
.inline {
  /*display: block;*/
  display: block;
  max-width: 100%;
  height: 80vh;  
}

.popup {
  display: inline-block;
  position: fixed;
  max-width: 30vh;
  height: 100vh;  
}

.chat-menu-nav-bar {
	overflow-y: auto;
	max-height: 30vh;	
}

.chat-menu-nav-bar-item {
	white-space: nowrap;
	display: flex;
	flex-wrap: nowrap;
	background-color: #f8f9fa;
}

.chat-menu-nav-bar-item-action-icon {
	padding-left: 1vh;
	padding-right: 2vh;
}


/* iPhone 12 ProMax (Landscape) - 926 x 428 */
@media screen and (max-width: 990px) {
	.inline1 {
		display: inline-block;
		max-width: 50vh;
		height: 100vh;
	}	
  
	.popup {
		display: inline-block;
		max-width: 50vh;
		height: 100vh;
	}

	.chat-clipboard-icon-tooltip {
		top: 40%;
	}
	
    .chat-messages {
        height: 35vh;
    } 
	
	.chat-menu-nav-bar {
		max-height: 25vh;	
	}
	
	.nav-item .btn i {
	  font-size: 1rem; /* adjust icon size here */
	}

	.nav-item .btn span {
	  font-size: 0.9rem; /* adjust text size here */
	}
	
}

/* iPhone 12 Pro (Landscape) - 844 x 390 I had 870
@media screen and (max-width: 844px) {
	.inline1 {
		display: inline-block;
		max-width: 50vh;
		height: 95vh;
	}	
  
	.popup {
		display: inline-block;
		max-width: 50vh;
		height: 100vh;
	}

	.chat-clipboard-icon-tooltip {
		top: 40%;
	}
	
    .chat-messages {
        height: 30vh;
    } 
	
	.chat-menu-nav-bar {
		max-height: 20vh;	
	}

	.chat-menu-btn span {
	  font-size: 0.6rem; 
	}	
	.chat-menu-btn i {
	  font-size: 0.8rem; 
	}
	
	.nav-item .btn i {
	  font-size: 0.6rem; 
	}

	.nav-item .btn span {
	  font-size: 0.8rem; 
	}
	
}
*/




/* iPhone 12 ProMax - 428 x 926 */
@media screen and (max-width: 500px) {
	.inline1 {
		display: inline-block;
		height: 100vh;
	}	
  
	.popup {
		display: inline-block;
		max-width: 40vh;
		height: 100vh;
	}

	.chat-clipboard-icon-tooltip {
		top: 40%;
	}
	
    .chat-messages {
        height: 55vh;
    }  
}

/* iPhone 7 - 375 x 667 */
@media screen and (max-width: 375px) {
	.inline1 {
		display: inline-block;
		height: 100vh;
	}	
  
	.popup {
		display: inline-block;
		max-width: 50vh;
		height: 100vh;
	}

	.chat-clipboard-icon-tooltip {
		top: 40%;
	}
	
    .chat-messages {
        height: 55vh;
    }  
}

/* ###### NLP Text Summarization Setup ##### */
.nlp-text-container {
	padding-left: 0px;
    padding-right: 0px;
  }
  
.nlp-text-load-box {
    height: 70vh;
	width: 100%;
	box-sizing: border-box;
	border: none;
	outline-color: blue;
	outline-color: cornflowerblue;
  }
.nlp-text-response-box {
	height: 70vh;
	width: 100%;
	box-sizing: border-box;
	border: none;
	outline-color: #d6e2ed;
	background-color: #d6e2ed;
	overflow: hidden;
	overflow-y: auto;
  }  
 
 .nlp-word-count-text {
	margin-bottom: 1px;
  } 
  
.nlp-btn-text {
    color: #17a2b8;
}

.nlp-clear-btn {
    color: #17a2b8;
	background-color: #fff;
	border-color: #fff;
	border: none;
	
}
.nlp-clear-btn:hover {
	color: black;
	background-color: #f2f2f2;
	border: none;
}

.upload-btn-wrapper {
  position: relative;
  display: inline-block;
  width: 90px;
  height: 37px;
}
.upload-btn-wrapper input[type="file"] {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  cursor: pointer;
  z-index: 2;
}
.upload-btn-wrapper:hover #file_upload_fake_btn {
  background-color: #e2e6ea !important;
  border-color: #dae0e5 !important;
  cursor: pointer;
}

#nlp_slider_id  {max-width: 100%;
	width: 200px;
}

/* iPhone 12 ProMax (Landscape) - 926 x 428 */
@media screen and (max-width: 767px) {
    .nlp-text-load-box {
      height: 60vh;
    }
	#nlp_slider_id  {
		width: 150px;
	}
}

/* iPhone 12 ProMax - 428 x 926 */
@media screen and (max-width: 500px) {
    .nlp-text-load-box {
      height: 60vh;
    }  
	#nlp_slider_id  {
		width: 150px;
	}	
}

/* iPhone 7 - 375 x 667 */
@media screen and (max-width: 375px) {
    .nlp-text-load-box {
      height: 60vh;
    } 
	#nlp_slider_id  {
		width: 150px;
	}	
}

#slider_id {
  display: none;
}

#nlp_slider_id .slider-tick-label {
	font-size: 12px;
	color: #17a2b8;
}

#nlp_slider_id .slider-handle {
	width: 14px;
	height: 14px;
	border-color: #9fbfe1;
	background-color: #9fbfe1;
	background-image: linear-gradient(to bottom, #9fbfe1, #9fbfe1);
	margin-top: 3px;
}
		
#nlp_slider_id .slider-selection {
	background: #9fbfe1;
	height: 10px;
}

#nlp_slider_id .slider-tick {
	width: 14px;
    height: 14px;
    background-color: #9fbfe1;
    margin-top: 3px;	
}
#nlp_slider_id .in-selection {
    background-color: #9fbfe1;
	background-image: linear-gradient(to bottom, #9fbfe1, #9fbfe1);
}
		





